commit fb87e2af55533cb8ee42f4741de70743a9165c43
Author: Maciej W. Rozycki <macro@embecosm.com>
Date:   Wed Nov 3 23:07:04 2021

    ranger: Fix `-Werror' build error with `ranger_cache::push_poor_value'
    
    Remove a commit 86534c07a390 ("Disable poor value processing in ranger
    cache.") regression that caused GCC not to build anymore if `-Werror'
    has been enabled:
    
    .../gcc/gimple-range-cache.cc: In member function 'bool ranger_cache::push_poor_value(basic_block, tree)':
    .../gcc/gimple-range-cache.cc:850:44: error: unused parameter 'bb' [-Werror=unused-parameter]
      850 | ranger_cache::push_poor_value (basic_block bb, tree name)
          |                                ~~~~~~~~~~~~^~
    .../gcc/gimple-range-cache.cc:850:53: error: unused parameter 'name' [-Werror=unused-parameter]
      850 | ranger_cache::push_poor_value (basic_block bb, tree name)
          |                                                ~~~~~^~~~
    
    To keep the change to the minimum mark the parameters reported unused.
    
            gcc/
            * gimple-range-cache.cc (ranger_cache::push_poor_value): Mark
            parameters unused.

diff --git a/gcc/gimple-range-cache.cc b/gcc/gimple-range-cache.cc
index ff0084545ab..6ddeca3766d 100644
--- a/gcc/gimple-range-cache.cc
+++ b/gcc/gimple-range-cache.cc
@@ -847,7 +847,7 @@ ranger_cache::register_dependency (tree name, tree dep)
 // the request is actually made (ie, isn't a duplicate).
 
 bool
-ranger_cache::push_poor_value (basic_block bb, tree name)
+ranger_cache::push_poor_value (basic_block, tree)
 {
   // Disable poor value processing for GCC 11.  It has been disabled in GCC 12
   // as adding too much churn/compile time for too little benefit.

